'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.graphiqlExpress = graphiqlExpress;

var _url = require('url');

var url = _interopRequireWildcard(_url);

var _resolveGraphiQLString = require('../utility/resolveGraphiQLString');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function graphiqlExpress(options) {
  return function (req, res, next) {
    var query = req.url && url.parse(req.url, true).query;
    (0, _resolveGraphiQLString.resolveGraphiQLString)(query, options, req).then(function (graphiqlString) {
      res.setHeader('Content-Type', 'text/html');
      res.write(graphiqlString);
      res.end();
    }, function (error) {
      return next(error);
    });
  };
}